## API

### Enumerations

- [DataGridMode](../wiki/Enumeration.DataGridMode)

### Classes

- [DataGridCellDefDirective](../wiki/Class.DataGridCellDefDirective)
- [DataGridComponent](../wiki/Class.DataGridComponent)
- [DataGridEditCellDefDirective](../wiki/Class.DataGridEditCellDefDirective)
- [DataGridHeaderCellDefDirective](../wiki/Class.DataGridHeaderCellDefDirective)
- [DataGridModule](../wiki/Class.DataGridModule)
- [DataGridRowDefDirective](../wiki/Class.DataGridRowDefDirective)
- [DataGridValuePipe](../wiki/Class.DataGridValuePipe)
- [IsEmptyPipe](../wiki/Class.IsEmptyPipe)

### Interfaces

- [DataGridCellDefDirectiveContext](../wiki/Interface.DataGridCellDefDirectiveContext)
- [DataGridEditCellDefDirectiveContext](../wiki/Interface.DataGridEditCellDefDirectiveContext)
- [DataGridHeaderCellDefDirectiveContext](../wiki/Interface.DataGridHeaderCellDefDirectiveContext)
